Menu

LEX File Exchange
EA Support Files
SC4 Wikipedia
Network Addon Mod
Dependencies
Chat
Welcome, Guest. Please login or register.
Did you miss your activation email?

August 01, 2021, 03:54:20 PM

Login with username, password and session length

Author Topic: NAM Issues Thread - PLEASE POST YOUR NAM QUESTIONS AND PROBLEMS HERE  (Read 1229065 times)

0 Members and 3 Guests are viewing this topic.

Online Tarkus

  • Administrator
  • Forums Legend
  • *
  • Posts: 11673
  • Total likes: 5801
  • Reputation: 75
  • NAM Team Tankadillo
    • NAM HQ
  • CL: Dr. PuzzlePiece
Re: NAM Issues Thread - PLEASE POST YOUR NAM QUESTIONS AND PROBLEMS HERE
« Reply #4720 on: July 14, 2021, 02:07:58 AM »
Make sure that the .jar file (NetworkAddonMod_Setup_Version41.jar) and the 4GB Patch (4gb_patch.exe) are in the same directory as the .bat file when you're running it.  If they are, parts of the process won't happen.  Additionally, make sure you have the Java Runtime Environment (JRE) installed, as not having it installed will prevent the actual installer from running.  There's an AdoptOpenJDK distribution of the Windows 64-bit version of the JRE included in the NAM download, which is compatible with the NAM installer, so you don't need to go looking for one to download.

-Alex

Offline jeffryfisher

  • Uncle Jeff
  • Forums Councilmember
  • *
  • Posts: 72
  • Total likes: 63
  • Reputation: 0
  • The most local level of gov't is one citizen
    • Liberating Digital Content
Re: NAM Issues Thread - PLEASE POST YOUR NAM QUESTIONS AND PROBLEMS HERE
« Reply #4721 on: July 14, 2021, 12:24:16 PM »
I can get it to tell me the 4gb patch is installed ...
It's not enough to install the 4GB "patch"; you must run it too. Perhaps it would be better to call it a patcher, because it patches executable program files.

After running it on the SC4 executable (and maybe other legacy programs), you can set it aside. You might need it again if you ever reinstall, or if you install on a different machine.
Modding PC games since 1993 (back when we needed hex-editors)